#include <errno.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <signal.h>
#include <string.h>
#include <ncurses.h>

void error_exit(char *format, ...)
{
	char buffer[4096];
	va_list ap;

	endwin();

	va_start(ap, format);
	vsnprintf(buffer, sizeof(buffer), format, ap);
	va_end(ap);

	if (errno)
		fprintf(stderr, "%s: errno=%d (%s)\n", buffer, errno, strerror(errno));
	else
		fprintf(stderr, "%s\n", buffer);

	exit(EXIT_FAILURE);
}
